## nova 2013.2.1

=== debian/changelog ===
nova (2013.2.1-2b1) staging; urgency=medium

  * No-change rebuild against libvirt 1.2.1.

 -- Jon Severinsson <jon@severinsson.net>  Fri, 07 Feb 2014 23:52:00 +0100

=== debian/control ===
Source: nova
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Gonéri Le bouder <goneri@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools (>= 8~),
               po-debconf,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.5.21),
               python-d2to1 (>= 0.2.10),
               python-setuptools
Build-Depends-Indep: bpython,
                     euca2ools,
                     ipython,
                     libvirt-bin,
                     openssh-client,
                     pep8 (>= 1.3.3),
                     procps,
                     pyflakes,
                     pylint,
                     python-amqplib,
                     python-anyjson (>= 0.3.3),
                     python-babel,
                     python-boto (>= 2.4.0),
                     python-carrot,
                     python-cheetah,
                     python-cinderclient (>= 1:1.0.6),
                     python-cliff (>= 1.4),
                     python-coverage,
                     python-d2to1 (>= 0.2.10),
                     python-distutils-extra,
                     python-eventlet (>= 0.13.0),
                     python-feedparser,
                     python-fixtures (>= 0.3.14),
                     python-gflags,
                     python-glanceclient (>= 1:0.10.0),
                     python-greenlet (>= 0.3.2),
                     python-iso8601 (>= 0.1.8),
                     python-jinja2,
                     python-jsonschema (>= 1.3.0),
                     python-keystoneclient (>= 1:0.3.2),
                     python-kombu (>= 2.5.12),
                     python-ldap,
                     python-lockfile,
                     python-lxml,
                     python-m2crypto,
                     python-markdown,
                     python-memcache,
                     python-migrate,
                     python-mock (>= 1.0),
                     python-mox,
                     python-mysqldb,
                     python-netaddr,
                     python-neutronclient (>= 2.3.0),
                     python-nose,
                     python-novaclient (>= 1:2.9.0),
                     python-oslo.config (>= 1:1.2.1),
                     python-oslo.sphinx,
                     python-paramiko (>= 1.8.0),
                     python-paste,
                     python-pastedeploy,
                     python-psycopg2,
                     python-pyasn1,
                     python-pyparsing (>= 1.5.7),
                     python-qpid,
                     python-requests (>= 1.1),
                     python-routes,
                     python-setuptools-git,
                     python-simplejson,
                     python-six (>= 1.4.1),
                     python-sphinx (>> 1.0),
                     python-sqlalchemy-ext ( >= 0.7.8-1~) | python-sqlalchemy (<< 0.6.3-2),
                     python-stevedore (>= 0.10),
                     python-subunit,
                     python-suds (>= 0.4.0),
                     python-tempita,
                     python-testrepository (>= 0.0.14),
                     python-testtools (>= 0.9.32),
                     python-tox,
                     python-unittest2,
                     python-webob (>= 1.2.3),
                     python-xattr,
                     python-zmq,
                     subunit,
                     sqlite3,
                     testrepository (>= 0.0.17),
                     websockify (>= 0.5.1)
#                     python-xenapi,
Build-Conflicts: python-cjson
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/nova.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/nova.git
Homepage: http://www.openstack.org/software/openstack-compute/

Package: python-nova
Architecture: all
Section: python
Pre-Depends: dpkg (>= 1.15.6~)
Depends: openssh-client,
         openssl,
         python-amqplib,
         python-anyjson (>= 0.3.3),
         python-babel,
         python-boto (>= 2.4.0),
         python-carrot,
         python-cheetah,
         python-cinderclient (>= 1:1.0.6),
         python-cliff (>= 1.4),
         python-d2to1,
         python-daemon,
         python-eventlet (>= 0.13.0),
         python-feedparser,
         python-gflags,
         python-glanceclient (>= 1:0.10.0),
         python-greenlet (>= 0.3.2),
         python-iso8601 (>= 0.1.8),
         python-jinja2,
         python-jsonschema (>= 1.3.0),
         python-keystoneclient (>= 1:0.3.2),
         python-kombu (>= 2.5.12),
         python-ldap,
         python-libxml2,
         python-lockfile,
         python-lxml,
         python-m2crypto,
         python-markdown,
         python-memcache,
         python-migrate,
         python-mysqldb,
         python-netaddr,
         python-neutronclient (>= 2.2.0),
         python-novaclient (>= 1:2.9.0),
         python-oslo.config (>= 1:1.2.1),
         python-paramiko (>= 1.8.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 0.5.21),
         python-pyasn1,
         python-pycurl,
         python-pyparsing (>= 1.5.7),
         python-requests (>= 1.1),
         python-routes,
         python-simplejson,
         python-six (>= 1.4.1),
         python-stevedore (>= 0.10),
         python-sqlalchemy-ext (>= 0.7.8-1~) | python-sqlalchemy (<< 0.6.3-2),
         python-subunit,
         python-suds,
         python-support,
         python-tempita,
         python-testrepository,
         python-webob (>= 1.2.3),
         python-xattr,
         sudo,
         websockify (>= 0.5.1),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-suds (>= 0.4.0)
Conflicts: python-cjson
Description: OpenStack Compute - libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package contains the core Python parts of Nova.

Package: nova-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dbconfig-common,
         iproute2 | iproute,
         python-amqplib,
         python-configobj,
         python-iso8601,
         python-nova (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends}
Suggests: python-pysqlite2 | python-mysqldb | python-pygresql
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package contains elements that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         curl,
         ebtables,
         gawk,
         iptables,
         kpartx,
         nova-common (= ${binary:Version}),
         nova-compute-kvm | nova-compute-hypervisor,
         open-iscsi,
         parted,
         python-cinderclient,
         qemu-utils,
         vlan,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Replaces: python-nova (<< 2012.1~rc1-1)
Breaks: python-nova (<< 2012.1~rc1-1)
Description: OpenStack Compute - compute node
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package equips a system to function as a compute node, running the
 virtual machines.

Package: nova-compute-lxc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dpkg-dev,
         libvirt-bin,
         nova-common,
         nova-compute,
         python-libvirt,
         ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-baremetal,
           nova-compute-kvm,
           nova-compute-qemu,
           nova-compute-uml,
           nova-compute-xen
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using LXC.

Package: nova-compute-uml
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dpkg-dev,
         libvirt-bin,
         nova-common,
         nova-compute,
         python-libvirt,
         user-mode-linux,
         ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-baremetal,
           nova-compute-kvm,
           nova-compute-lxc,
           nova-compute-qemu,
           nova-compute-xen
Description: OpenStack Compute - compute node (UserModeLinux)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using UserModeLinux.

#Package: nova-compute-xen
#Architecture: all
#Pre-Depends: dpkg (>= 1.15.6~)
#Depends: adduser, nova-common, nova-compute, python-xenapi, ${misc:Depends}
#Provides: nova-compute-hypervisor
#Conflicts: nova-baremetal,
#           nova-compute-kvm,
#           nova-compute-lxc,
#           nova-compute-qemu,
#           nova-compute-uml
#Description: OpenStack Compute - compute node (Xen)
# OpenStack is a reliable cloud infrastructure. Its mission is to produce
# the ubiquitous cloud computing platform that will meet the needs of public

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

include /usr/share/python/python.mk
PACKAGE_NAME=python-nova
debroot = debian/tmp
site_packages_dir=$(debroot)$(call py_libdir,$(shell pyversions -d))

%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/* doc/source/api doc/.autogenerated
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -rf nova.egg-info
	rm -f po/nova.pot
	rm -rf .autogenerated
	rm -f debian/nova-common.config debian/nova-common.postinst debian/nova-compute-xen.postinst \
		debian/nova-api.config debian/nova-api.postinst
	rm -f debian/*.upstart
	rm -rf setuptools_git-*-py*.egg/

override_dh_auto_build:
	dh_auto_build

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-compute-xen.postinst

ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build doc/source doc/build/html
	sphinx-build -b man doc/source doc/build/man
endif



override_dh_install:
	python setup.py install -f --install-layout=deb --root=$(debroot)
	mkdir -p $(debroot)/usr/share
	mv $(site_packages_dir)/nova/locale $(debroot)/usr/share

	rm debian/tmp/usr/bin/nova-api-os-compute
	rm debian/tmp/usr/bin/nova-api-metadata
	rm debian/tmp/usr/bin/nova-api-ec2

	dh_install --fail-missing -Xbin/nova-all -Xbin/nova-objectstore
	install -D -m 0440 $(CURDIR)/debian/nova-common.sudoers $(CURDIR)/debian/nova-common/etc/sudoers.d/nova-common
	install -D -m 0644 $(CURDIR)/etc/nova/logging_sample.conf $(CURDIR)/debian/nova-common/usr/share/nova-common/logging.conf
	set -e ; for hypervisor in qemu kvm uml lxc; do \
		install -D -m 0600 $(CURDIR)/debian/nova-compute-$${hypervisor}.conf $(CURDIR)/debian/nova-compute-$${hypervisor}/etc/nova/nova-compute.conf; \
	done
	install -D -m 0600 $(CURDIR)/debian/nova-compute-baremetal.conf $(CURDIR)/debian/nova-baremetal/etc/nova/nova-compute.conf
	install -D -m 0600 $(CURDIR)/debian/nova-compute-xen.conf.dist $(CURDIR)/debian/nova-compute-xen/usr/share/nova-compute-xen/nova-compute.conf
	find $(CURDIR)/debian -name .gitignore -delete

override_dh_fixperms:
	dh_fixperms -Xnova_sudoers
	dh_fixperms -Xnova_tgt
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/.gitignore
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/projects/.gitignore
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/reqs/.gitignore

	# Make sure all our plugins are executable
#	set -e ; for i in $(CURDIR)/debian/nova-xcp-plugins/usr/lib/xcp/plugins/* ; do \
#		chmod +x $$i ; \
#	done
#	# Don't ask, that's as stupid as it seems... (and it wouldn't work without this!)
#	mkdir -p $(CURDIR)/debian/nova-xcp-plugins/etc/xcp
#	echo "{}" >$(CURDIR)/debian/nova-xcp-plugins/etc/xcp/xenhost.conf
#	chmod 0440 $(CURDIR)/debian/nova-common/etc/sudoers.d/nova-common

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -N -P || true
	#python setup.py testr --slowest --testr-args='--subunit  ' || true
endif

# We use override_dh_installmenu because it's done in the sequence with dh,
# and we already override dh_installinit in pkgos.make.
# Obviously, we will never use a Desktop menu in such a package, so that's
# not a problem.
override_dh_installmenu:
	#dh_installinit -pnova-console --name=nova-consoleauth
	dh_installinit --name=nova-novncproxy
	dh_installinit --name=nova-spicehtml5proxy
	dh_installinit --name=nova-xenvncproxy
	install -D -m 0644 $(CURDIR)/debian/nova-consoleproxy.mydefault $(CURDIR)/debian/nova-consoleproxy/usr/share/nova-consoleproxy/default

override_dh_installdocs:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	dh_installdocs
	ln -sf /usr/share/javascript/jquery/jquery.js $(CURDIR)/debian/nova-doc/usr/share/doc/nova-doc/html/_static/jquery.js
	ln -sf /usr/share/javascript/underscore/underscore.min.js $(CURDIR)/debian/nova-doc/usr/share/doc/nova-doc/html/_static/underscore.js
else
override_dh_installman:
endif

override_dh_python2:
	dh_python2
	# This is needed for the XCP plugins, which have to be installed in
	# a non-standard directory. This is a problem upstream which isn't
	# fixable in Debian easily (though it isn't a policy violation).
	dh_python2  /usr/lib/xcp

## nova 2013.2.3

=== requirements.txt ===
pbr>=0.5.21,<1.0
SQLAlchemy>=0.7.8,<=0.7.99
amqplib>=0.6.1
anyjson>=0.3.3
argparse
boto>=2.4.0,!=2.13.0
eventlet>=0.13.0
Jinja2
kombu>=2.4.8
lxml>=2.3
Routes>=1.12.3
WebOb>=1.2.3,<1.3
greenlet>=0.3.2
PasteDeploy>=1.5.0
Paste
sqlalchemy-migrate>=0.7.2
netaddr
suds>=0.4
paramiko>=1.8.0
pyasn1
Babel>=1.3
iso8601>=0.1.8
jsonschema>=1.3.0,!=1.4.0
python-cinderclient>=1.0.6
python-neutronclient>=2.3.0,<3
python-glanceclient>=0.9.0
python-keystoneclient>=0.3.2
six>=1.4.1
stevedore>=0.10
websockify>=0.5.1,<0.6
oslo.config>=1.2.0

=== debian/changelog ===
nova (1:2013.2.3-0ubuntu1~cloud0) precise-havana; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 14 Apr 2014 06:28:59 -0400

nova (1:2013.2.3-0ubuntu1) saucy-proposed; urgency=medium

  * Resynchronize with stable/havana (feedcb2) (LP: #1302575):
    - [feedcb2] Fix 'icehouse-compat' processing for compute rpc
    - [ecb058d] User a more accurate max_delay for reconnects
    - [bdc7519] Pass thru credentials to allow re-authentication
    - [25e761a] Persist image format to a file, to prevent attacks based on changing it
    - [53acc09] Do not hide exception in update_instance_cache_with_nw_info
    - [f44bdfe] handle empty network info in instance cache
    - [00d1882] VMware: enable driver to work with postgres database
    - [44c60c6] Grizzly to Havana Upgrade wipes out Nova quota_usages
    - [2edf6ff] VMware: fix the VNC port allocation
    - [4ac67d1] neutron_metadata_proxy_shared_secret should not be written to log file
    - [590519a] Correct the state for PAUSED instances on reboot
    - [d50fad8] VMWare: bug fix for Vim exception handling
    - [c87a88f] Fix InstanceNotFound error in _delete_instance_files
    - [374ff97] Fixed a problem in iSCSI multipath
    - [5661055] VMware: fix bug for exceptions thrown in _wait_for_task
    - [aa7f550] VMware: fix image snapshot with attached volume
    - [06dd47f] Explicity teardown on error in libguestfs setup()
    - [985b5aa] VMware: fix disk extend bug when no space on datastore
    - [03f7ee0] Further harden boto version checking in EC2 tests
    - [88da098] Take a vm out of SNAPSHOTTING after Glance error
    - [6564525] Enable compute_node_update to tolerate deadlocks
    - [9520b8d] VMware: Always upload a snapshot as a preallocated disk
    - [d3c8757] Remove unneeded call to conductor in network interface
    - [b047eaa] Remove reduntant call to update_instance_info_cache
    - [3f72ffb] Fix changes-since filter for list-servers API
    - [b09ccd5] Don't raise MySQL 2013 'Lost connection' errors
    - [2bb8ce8] Add db2 communication error code when check the db connection
    - [1c7ff2a] hyperv: Retry after WMI query fails to find dev
    - [0d3d7c9] Retry reservation commit and rollback on deadlock
    - [e095dab] Make rbd.libvirt_info parent class compatible
    - [83926a0] libvirt: handle exception while get vcpu info
    - [b508376] Use block_device_info at post_live_migration_at_destination
    - [e52d4fa] Ensure MTU is set when the OVS vif driver is used
    - [d4056f8] Add RBAC policy for ec2 API security groups calls
  * debian/patches/fix-boto-versioning.patch: Dropped no longer needed. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 04 Apr 2014 10:00:12 -0400

nova (1:2013.2.2-0ubuntu1.1) saucy-proposed; urgency=low

  [ Jian Wen ]
  * d/nova-compute.upstart: If libvirt-bin is installed, then wait
    for it to reach running state before starting nova-compute
    (LP: #907152, #1190280)

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 09 Jan 2014 12:30:55 -0600

nova (1:2013.2.2-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (bcdc813) (LP: #1284643):
    - [251a940] RBD backed instance can't shutdown and restart LP: 1245719
    - [99febf6] Live upgrade from Havana broken by commit 62e9829 LP: 1258256
    - [1379f65] DoS attack via setting os_type in snapshots (CVE-2013-6437)
      LP: 1253980
    - [6ad8842] Compute rpc breaks live upgrade from havana to icehouse
      LP: 1258253
    - [311c786] Compute rpc breaks live upgrade from havana to icehouse
      LP: 1258253
    - [c91ad01] VM do not resume if attach an volume when suspended LP: 1241337
    - [e7b2e3a] Grizzly -> Havana nova upgrade failure: Cannot drop index
      'instance_uuid' LP: 1245502
    - [3ef8611] [OSSA 2014-001] Insecure directory permissions with snapshot
      code (CVE-2013-7048) LP: 1227027
    - [d222d2a] test_different_fname_concurrency flakey fail LP: 1270654
    - [1a3985c] unit test failure in gate
      nova.tests.db.test_sqlite.TestSqlite.test_big_int_mapping LP: 1271331
    - [950440b] _last_vol_usage_poll was not properly updated LP: 1270693
    - [05dfdb9] support stevedore >= 0.14
    - [662c762] VMware: unnecesary session termination LP: 1265512
    - [6da22e2] libvirt wait_for_block_job_info can infinitely loop LP: 1260123
    - [6ed48aa] update security group raise HttpError500 exception  LP: 1244018
    - [04209bf] publish_errors cfg option is broken  LP: 1240349
    - [4f947f5] UnboundLocalError: local variable 'network_name' referenced
      before assignment LP: 1246258
    - [442fb63] Security Group extension reads all Neutron ports for anything
      other that a single server LP: 1228384
    - [7620252] [OSSA 2014-003] Live migration can leak root disk into
      ephemeral storage (CVE-2013-7130) LP: 1251590
    - [5cb4d55] Errored instance can't be deleted if volume deleted first
      LP: 1222979
    - [c09a51c] live migration fails when using non-image backed disk
      LP: 1257355
    - [a3d861f] Network cache not correctly updated during "interface-attach"
      LP: 1223859
    - [2c44ed7] vmware driver does not work with more than one datacenter in vC
      LP: 1214850
    - [abacc29] nova compute hang with file injection off, config drive off,
      neutron networking LP: 1276268
    - [2abcc4e] boto 2.25 causing unit tests to fail LP: 1277790
    - [bcdc813] NoopQuotaDriver returns usages incorrect format LP: 1244842

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Feb 2014 09:43:16 -0500

nova (1:2013.2.1-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (a4ffc06) (LP: #1262788):
    - [6bf7e78] datastore selection bug - fills first disk only LP: 1227825
    - [66e5a8d] Deploy instances failed on Hyper-V with Chinese locale
      LP: 1229671
    - [6e50dbd] flavor pagination incorrectly uses id rather than flavorid
      LP: 1226698


=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/* doc/source/api doc/.autogenerated
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -f po/nova.pot
	rm -rf .autogenerated

debian/nova-compute.postinst: debian/nova-compute.postinst.in
	if dpkg-vendor --derives-from ubuntu ; then \
		LIBVIRTGRP=libvirtd; \
	else \
		LIBVIRTGRP=libvirt; \
	fi; \
	sed -e "s/%LIBVIRTGRP%/$$LIBVIRTGRP/" < $< > $@

override_dh_auto_build: debian/nova-compute.postinst
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python setup.py build_sphinx
else
	mkdir -p $(CURDIR)/doc/build/html
	mkdir -p $(CURDIR)/doc/build/man
	touch $(CURDIR)/doc/build/man/nova-manage.1
endif

get-orig-source:
	uscan --verbose --rename --destdir=../build-area

version_prefix := $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
get-vcs-source:
	wget http://tarballs.openstack.org/nova/nova-master.tar.gz \
		 -O ../nova_$(version_prefix).orig.tar.gz

override_dh_install:
	dh_install --fail-missing -Xbin/nova-all
	chmod 440 $(CURDIR)/debian/nova-common/etc/sudoers.d/nova_sudoers
	install -D -m 644 debian/source_nova.py debian/php5-common/usr/share/apport/package-hooks/source_nova.py
	install -D -m 0644 $(CURDIR)/etc/nova/logging_sample.conf $(CURDIR)/debian/nova-common/etc/nova/logging.conf
	for hypervisor in qemu kvm xen uml lxc; do \
		install -D -m 0600 $(CURDIR)/debian/nova-compute-$${hypervisor}.conf $(CURDIR)/debian/nova-compute-$${hypervisor}/etc/nova/nova-compute.conf; \
	done

override_dh_fixperms:
	dh_fixperms -Xnova_sudoers
	dh_fixperms -Xnova_tgt.conf
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/.gitignore
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/projects/.gitignore
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/reqs/.gitignore

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	testr init && testr run --concurrency=1
endif

override_dh_python2:
	dh_python2
	dh_python2  /usr/lib/xcp

override_dh_installlogrotate:
	dh_installlogrotate
	dh_installlogrotate --name=nova-manage
	dh_installlogrotate --name=nova-dhcpbridge

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

## nova 2014.1

=== requirements.txt ===
pbr>=0.6,<1.0
SQLAlchemy>=0.7.8,<=0.9.99
amqplib>=0.6.1
anyjson>=0.3.3
argparse
boto>=2.12.0,!=2.13.0
eventlet>=0.13.0
Jinja2
kombu>=2.4.8
lxml>=2.3
Routes>=1.12.3
WebOb>=1.2.3
greenlet>=0.3.2
PasteDeploy>=1.5.0
Paste
sqlalchemy-migrate>=0.8.2,!=0.8.4
netaddr>=0.7.6
suds>=0.4
paramiko>=1.9.0
pyasn1
Babel>=1.3
iso8601>=0.1.9
jsonschema>=2.0.0,<3.0.0
python-cinderclient>=1.0.6
python-neutronclient>=2.3.4,<3
python-glanceclient>=0.9.0
python-keystoneclient>=0.7.0
six>=1.5.2
stevedore>=0.14
websockify>=0.5.1,<0.6
wsgiref>=0.1.2
oslo.config>=1.2.0
oslo.rootwrap
pycadf>=0.4.1
oslo.messaging>=1.3.0a9

=== debian/control ===
Source: nova
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Openstack Maintainers <openstack@lists.launchpad.net>
Uploaders: Soren Hansen <soren@ubuntu.com>, Thomas Goirand <zigo@debian.org>
Build-Depends:
 debhelper (>= 7.0.50),
 python-all (>= 2.6),
 python-all-dev (>= 2.6.6-3~)
Build-Depends-Indep:
 openssh-client,
 openssl,
 python-amqplib (>= 0.6.1),
 python-anyjson (>= 0.3.3),
 python-babel,
 python-boto (>= 2.4.0),
 python-cinderclient (>= 1:1.0.5),
 python-coverage,
 python-crypto,
 python-distutils-extra,
 python-eventlet (>= 0.13.0),
 python-feedparser,
 python-fixtures (>= 0.3.14),
 python-glanceclient (>= 1:0.9.0),
 python-greenlet (>= 0.3.2),
 python-iso8601,
 python-jinja2,
 python-jsonschema (>= 1.3.0),
 python-keystoneclient (>= 1:0.3.2),
 python-kombu (>= 2.5.12),
 python-lxml (>= 2.3),
 python-migrate (>= 0.8.2),
 python-mock,
 python-mox,
 python-netaddr (>= 0.7.6),
 python-neutronclient (>= 1:2.3.0),
 python-oslo.config (>= 1:1.2.0),
 python-oslo.messaging,
 python-oslo.rootwrap,
 python-oslosphinx,
 python-paramiko (>= 1.8.0),
 python-paste,
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 0.5.21),
 python-pyasn1,
 python-pycadf (>= 0.1.9),
 python-routes,
 python-setuptools,
 python-six (>= 1.4.1),
 python-sphinx (>> 1.0),
 python-sqlalchemy-ext ( >= 0.7.8-1~) | python-sqlalchemy,
 python-stevedore (>= 0.12),
 python-suds,
 python-testtools (>= 0.9.32),
 python-webob (>= 1.2.3),
 sqlite3,
 subunit,
 testrepository ( >= 0.0.17)
Build-Conflicts: python-cjson
Standards-Version: 3.9.3
Homepage: http://launchpad.net/nova
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/nova/icehouse/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/nova/icehouse
XS-Testsuite: autopkgtest
X-Python-Version: >= 2.7

Package: python-nova
Architecture: all
Section: python
Depends:
 openssh-client,
 openssl,
 python-amqplib (>= 0.6.1),
 python-anyjson (>= 0.3.3),
 python-babel,
 python-boto (>= 2.4.0),
 python-cinderclient (>= 1:1.0.5),
 python-eventlet (>= 0.13.0),
 python-glanceclient (>= 1:0.9.0),
 python-greenlet (>= 0.3.2),
 python-iso8601,
 python-jinja2,
 python-jsonschema (>= 1.3.0),
 python-keystoneclient (>= 1:0.3.2),
 python-kombu (>= 2.5.12),
 python-lxml (>= 2.3),
 python-m2crypto,
 python-migrate,
 python-netaddr (>= 0.7.6),
 python-neutronclient (>= 1:2.3.0),
 python-oslo.config (>= 1:1.2.0),
 python-paramiko (>= 1.8.0),
 python-paste,
 python-pastedeploy (>= 1.5.0),
 python-pyasn1,
 python-pycadf (>= 0.1.9),
 python-routes,
 python-simplejson,
 python-six,
 python-sqlalchemy-ext ( >= 0.7.8-1~) | python-sqlalchemy (<< 0.6.3-2),
 python-stevedore (>= 0.12),
 python-suds,
 python-webob (>= 1.2.3),
 sudo,
 ${misc:Depends},
 ${python:Depends}
Suggests: python-ldap
Conflicts: python-cjson
XB-Python-Version: ${python:Versions}
Recommends: python-mysqldb
Provides: ${python:Provides}
Description: OpenStack Compute Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains the core Python parts of Nova.

Package: nova-common
Architecture: all
Depends:
 adduser,
 python-nova (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
Recommends: python-glanceclient, python-keystone
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains things that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends:
 nova-common (= ${binary:Version}),
 nova-compute-kvm | nova-compute-hypervisor,
 ${misc:Depends},
 ${python:Depends}
Description: OpenStack Compute - compute node base
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This is the package you will install on the nodes that will run your
 virtual machines.

Package: nova-compute-libvirt
Architecture: all
Depends:
 adduser,
 ebtables,
 genisoimage,
 iptables,
 kpartx,
 libvirt-bin,
 nova-compute (= ${binary:Version}),
 open-iscsi,
 parted,
 python-libvirt,
 qemu-utils,
 vlan,
 ${misc:Depends},
 ${python:Depends}
Suggests: guestmount, multipath-tools, sg3-utils, sysfsutils
Description: OpenStack Compute - compute node libvirt support
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package provides common dependencies and setup for all libvirt based
 hypervisor options.

Package: nova-compute-lxc
Architecture: all
Depends: nova-compute-libvirt (= ${binary:Version}), ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using LXC.

Package: nova-compute-xen
Architecture: all
Depends:
 nova-compute-libvirt (= ${binary:Version}),
 xen-system-amd64 | xen-system-i386,
 ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (Xen)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using Xen.

Package: nova-compute-qemu
Architecture: all
Depends: nova-compute-libvirt (= ${binary:Version}), qemu, ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (QEmu)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using QEmu.

Package: nova-compute-kvm
Architecture: all
Depends:
 nova-compute-libvirt (= ${binary:Version}),
 qemu-system (>= 1.3.0) | kvm,
 ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (KVM)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using kvm.

Package: nova-compute-vmware
Architecture: all
Depends: genisoimage, nova-compute (= ${binary:Version}), ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (VMware)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using VMware vCenter.

Package: nova-conductor

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

VERSION := $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([0-9]:)*([^-]+).*,\2,p')
export OSLO_PACKAGE_VERSION=$(VERSION)

# Send HTTP traffic to “discard” service
export http_proxy = http://127.0.1.1:9/
export https_proxy = ${http_proxy}

%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/* doc/source/api doc/.autogenerated
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -f po/nova.pot
	rm -rf .autogenerated

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p doc/build/html
	mkdir -p doc/build/man
	sphinx-build -b man doc/source doc/build/man
	sphinx-build -b html doc/source doc/build/html
endif

get-orig-source:
	uscan --verbose --rename --destdir=../build-area

override_dh_install:
	dh_install --fail-missing -Xbin/nova-all
	chmod 440 $(CURDIR)/debian/nova-common/etc/sudoers.d/nova_sudoers
	install -D -m 644 debian/source_nova.py debian/php5-common/usr/share/apport/package-hooks/source_nova.py
	install -D -m 0644 $(CURDIR)/etc/nova/logging_sample.conf $(CURDIR)/debian/nova-common/etc/nova/logging.conf
	for hypervisor in qemu kvm xen lxc vmware; do \
		install -D -m 0600 $(CURDIR)/debian/nova-compute-$${hypervisor}.conf $(CURDIR)/debian/nova-compute-$${hypervisor}/etc/nova/nova-compute.conf; \
	done

override_dh_fixperms:
	dh_fixperms -Xnova_sudoers
	dh_fixperms -Xnova_tgt.conf
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/.gitignore
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/projects/.gitignore
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/reqs/.gitignore

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -N -P
endif

override_dh_python2:
	dh_python2

override_dh_installlogrotate:
	dh_installlogrotate
	dh_installlogrotate --name=nova-manage
	dh_installlogrotate --name=nova-dhcpbridge

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 https://launchpad.net/nova/+download https://launchpad.net/nova/.*/.*/.*/nova-(.*)\.tar\.gz
